Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam
Class Namespace

    java.lang.Object
      org.jboss.seam.Namespace

    public class Namespace

extends Object

A namespace for Seam component names.

Author:
  Gavin King

Constructor Summary
`Namespace(String name)`

Method Summary
`void` | `addChild(String name, Namespace value)`
`boolean` | `equals(Object other)`
`Object` | `get(String key)` Get a component or child namespace
`Namespace` | `getChild(String key)`
`Object` | `getComponentInstance(String key)`
`Object` | `getComponentInstance(String key, boolean create)`
`Object` | `getComponentInstance(String key, boolean create, boolean allowAutocreation)`
`Namespace` | `getOrCreateChild(String key)`
`boolean` | `hasChild(String key)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Namespace

    public Namespace(String name)

Method Detail

### get

    public Object get(String key)

  Get a component or child namespace

### getChild

    public Namespace getChild(String key)

### getOrCreateChild

    public Namespace getOrCreateChild(String key)

### getComponentInstance

    public Object getComponentInstance(String key)

### getComponentInstance

    public Object getComponentInstance(String key,
                                       boolean create)

### getComponentInstance

    public Object getComponentInstance(String key,
                                       boolean create,
                                       boolean allowAutocreation)

### hasChild

    public boolean hasChild(String key)

### addChild

    public void addChild(String name,
                         Namespace value)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.